//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(1, 5);//Данные
AddingDatasHeaders = ['D3','B2','A1','A2','T1'];//Заголовки добавляемых данных
AddingDatas = rand(9, 5);//Добавляемые данные

//Данные для проверки результата добавления
eDatasHeaders = DatasHeaders;
eDatas = repmat(Datas',[1, 9])';
eDatas = AddingDatas(:,[3,5,4,1,2]);

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            DatasHeaders,..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checkequal(cDatasHeaders,eDatasHeaders);

clear;
