//Данные для тестирования
DatasHeaders = ['aQ1','bP1','aQ2','aQ3','bP2','aQ4','bP5'];//Заголовки данных
Datas = rand(1, 7);//Данные
AddingDatasHeaders = ['bP5','aQ2','bP2','cP1','bQ4','aQ3'];//Заголовки добавляемых данных
AddingDatas = rand(33, 9);//Добавляемые данные

//Данные для проверки результата добавления
eDatasHeaders = [DatasHeaders,['bQ4','cP1']];
eDatas = repmat(Datas',[1, 33])';
eDatas = [eDatas,AddingDatas(:,[5,4])];

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            DatasHeaders,..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %f..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checkequal(cDatasHeaders,eDatasHeaders);

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            DatasHeaders,..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checkequal(cDatasHeaders,eDatasHeaders);

clear;
