//Данные для тестирования
DatasHeaders = ['Ae1','By1','Ag2','Cw3','Yey2','Aa2','Ab3','Cq1','Cq5'];//Заголовки данных
Datas = rand(45, 9);//Данные
AddingDatasHeaders = ['Cw3','Cq1','Ag2','Rew','Yey2','Uyt','Req2','Pou','Ab3','tre','Cq5'];//Заголовки добавляемых данных
AddingDatas = rand(1, 11);//Добавляемые данные

//Данные для проверки результата добавления
eDatasHeaders = [DatasHeaders,['Pou','Req2','Rew','Uyt','tre']];
eAddingDatas = repmat(AddingDatas',[1, 45])';
eDatas = Datas; eDatas = [eDatas,eAddingDatas(:,[8,7,4,6,10])];

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            DatasHeaders,..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %f..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checkequal(cDatasHeaders,eDatasHeaders);

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            DatasHeaders,..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checkequal(cDatasHeaders,eDatasHeaders);

clear;
