[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
DatasHeaders = ['A1','T1','A2','D3','B2'];//Заголовки данных
Datas = rand(21, 5);//Данные
CSVFileName = path + 'wdatas3.csv';

//Запускаем функцию
datasCSV = DatasToCSVFile(Datas,..//Входные данные
                          DatasHeaders,..//Заголовки входных данных
                          CSVFileName..//Имя файла данных
                          );

//Проверяем полученный результат
assert_checkequal(datasCSV,[DatasHeaders;string(Datas)]);

//Проверяем считанный из файла результат
datasCSV = read_csv(CSVFileName);
assert_checkequal(datasCSV,[DatasHeaders;string(Datas)]);

clear;
