//Данные для тестирования
DatasHeaders = ['Cd1','Dw1','Cr2','E3','AYew2','C2','C3','E1','Ee5'];//Заголовки данных
Datas = rand(51, 9);//Данные
SelectedDatasHeadersI = ['E3','AYew2','Cd1','C2','Ee5'];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = ['C3','E1','Dw1'];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
SelectedDatasI = Datas(:,[4, 5, 1, 6, 9]);
SelectedDatasO = Datas(:,[7, 8, 2]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checkequal(inputData,SelectedDatasI);
assert_checkequal(outputData,SelectedDatasO);
assert_checkequal(inputHeader,SelectedDatasHeadersI);
assert_checkequal(outputHeader,SelectedDatasHeadersO);

clear;
