//Данные для тестирования
Datas = rand(39, 5);//Данные
SelectedDatasHeadersI = [1, 4, 2];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = [3, 5];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
SelectedDatasI = Datas(:,[1, 4, 2]);
SelectedDatasO = Datas(:,[3, 5]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checkequal(inputData,SelectedDatasI);
assert_checkequal(outputData,SelectedDatasO);
assert_checkequal(inputHeader,SelectedDatasHeadersI);
assert_checkequal(outputHeader,SelectedDatasHeadersO);

clear;
