// ====================================================================
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
function [libpath]=cleanmacros()

    libpath = get_absolute_file_path("cleanmacros.sce");

    binfiles = ls(libpath+"/*.bin");
    for i = 1:size(binfiles,"*")
        mdelete(binfiles(i));
    end

    mdelete(libpath+"/names");
    mdelete(libpath+"/lib");
endfunction

libpath = cleanmacros();
clear cleanmacros; // remove cleanmacros on stack

//Чистим подмодули
exec(fullfile(libpath,'CountResults','cleanmacros.sce'), -1);
exec(fullfile(libpath,'CSV',         'cleanmacros.sce'), -1);
exec(fullfile(libpath,'File',        'cleanmacros.sce'), -1);
clear libpath;

// ====================================================================
