//Данные для тестирования
Datas = rand(1, 7);//Данные
AddingDatasHeaders = [5,4];//Заголовки добавляемых данных
AddingDatas = rand(33, 9);//Добавляемые данные

//Данные для проверки результата добавления
eDatas = repmat(Datas',[1, 33])';
eDatas = [eDatas,AddingDatas(:,[5,4])];

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c",..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            %t..//Замена значений величины новыми (в случае пересечения столбцов)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            [],..//Заголовки данных, к которым добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

//Вызываем функцию
[cDatas,..//Данные после добавления данных
 cDatasHeaders..//Заголовки данных после добавления
 ]=AddDatas(Datas,..//Данные (исходные, к которым добавляем данные)
            AddingDatas,..//Добавляем данные
            AddingDatasHeaders,..//Заголовки добавляемых данных
            "c"..//Направление конкатенации ('r' - новые ряды, 'с' - новые колонки)
            );

//Проверяем результат
assert_checktrue(abs(cDatas - eDatas) < 1E-12);
assert_checktrue(isempty(cDatasHeaders));

clear;
