[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
Datas = rand(51, 9);//Данные
CSVFileName = path + 'rdatas14.csv';

//Сохраняем данные в формате csv в файл
write_csv(Datas,CSVFileName,';',',');

//Запускаем функцию
[datas,..//Данные
 datasHeaders..//Заголовки данных
 ]=CSVFromFileToDatas(%f,..//Заголовки входных данных
                      CSVFileName,..//Имя csv-файла
                      ";",..//Разделитель
                      ","..//Десяичный разделитель
                      );

//Проверяем полученный результат
assert_checktrue(abs(datas - Datas) < 1E-7);
assert_checktrue(isempty(datasHeaders));

clear;
