[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
Datas = rand(21, 5);//Данные
CSVFileName = path + 'rdatas27.csv';

//Сохраняем данные в формате csv в файл
write_csv(Datas,CSVFileName,'q',',');

//Запускаем функцию
[datas,..//Данные
 datasHeaders..//Заголовки данных
 ]=CSVFromFileToDatas(CSVFileName,..//Имя csv-файла
                      "q",..//Разделитель
                      ",",..//Десятичный разделитель
                      %t..//Парсим
                      );

//Проверяем полученный результат
assert_checktrue(abs(datas - Datas) < 1E-7);
assert_checktrue(isempty(datasHeaders));

//Запускаем функцию
[datas,..//Данные
 datasHeaders..//Заголовки данных
 ]=CSVFromFileToDatas(CSVFileName,..//Имя csv-файла
                      "q",..//Разделитель
                      ",",..//Десятичный разделитель
                      %f..//Не парсим
                      );

//Проверяем полученный результат
assert_checkequal(string(evstr(datas)),string(Datas));
assert_checktrue(isempty(datasHeaders));

clear;
