[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
Datas = rand(21, 7);//Данные
CSVFileName = path + 'rdatas7.csv';

//Сохраняем данные в формате csv в файл
write_csv(Datas,CSVFileName);

//Запускаем функцию
[datas,..//Данные
 datasHeaders..//Заголовки данных
 ]=CSVFromFileToDatas(CSVFileName..//Имя csv-файла
                      );

//Проверяем полученный результат
assert_checktrue(abs(datas - Datas) < 1E-7);
assert_checktrue(isempty(datasHeaders));

clear;
