//Данные для тестирования
Datas = rand(27, 7);//Данные
isVectorized = %t;//Все функции векторизованы

//Функции для тестирования
function [y]=Fun1(x)
    y = 0.3*x.^2 + 5.1*x + 6.1*sin(x) - 1.5;
endfunction
function [y]=Fun2(x)
    y = 0.3*x.^3 + 5.1*x + 6.63*cos(x) - 1.83;
endfunction
function [y]=Fun3(x)
    y = -0.3*x.^5 + 5.1*x.^3 + 6.7*cos(x).^2 + 0.51;
endfunction
Functions = cell(1, 3);//Список функций для тестирования
Functions{1} = Fun1;
Functions{2} = Fun2;
Functions{3} = Fun3;
argumentsNames = cell(1, 3);//Имена аргументов
argumentsNames{1} = [2, 4];
argumentsNames{2} = [1, 3, 6];
argumentsNames{3} = [2, 5, 7, 4];

//Тестовый результат
eRezults = [Fun1(Datas(:,[2, 4])),..
            Fun2(Datas(:,[1, 3, 6])),..
            Fun3(Datas(:,[2, 5, 7, 4]))];

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Functions,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       [],..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Functions,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       [],..//Имена (индексы) выходных значений функций
                       isVectorized..//Векторизованы ли функции
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       [],..//Заголовки входных данных
                       Functions,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

//Запускаем функцию
Rezults = CountRezults(Datas,..//Входные данные
                       Functions,..//Функции
                       argumentsNames,..//Имена (индексы) аргументов
                       []..//Имена (индексы) результатов
                       );

//Проверяем полученный результат
assert_checkequal(Rezults,eRezults);

clear;
