[a,path] = libraryinfo('io_data_integrationlib');
clear a;
path = part(path,1:(length(path) - length('macros'))) + 'testCSV' + filesep();//Путь к csv-файлам

//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(51, 9);//Данные
CSVFileName = path + 'wdatas2.csv';

//Запускаем функцию
datasCSV = DatasToCSVFile(Datas,..//Входные данные
                          DatasHeaders,..//Заголовки входных данных
                          CSVFileName..//Имя файла данных
                          );

//Проверяем полученный результат
assert_checkequal(datasCSV,[DatasHeaders;string(Datas)]);

//Проверяем считанный из файла результат
datasCSV = read_csv(CSVFileName);
assert_checkequal(datasCSV,[DatasHeaders;string(Datas)]);

clear;
