//Данные для тестирования
Datas = rand(57, 9);//Данные
SelectedDatasHeadersI = [4, 5, 1, 6, 9];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = [7, 8, 2, 45, 30];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
SelectedDatasI = Datas(:,[4, 5, 1, 6, 9]);
SelectedDatasO = Datas(:,[7, 8, 2]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checkequal(inputData,SelectedDatasI);
assert_checkequal(outputData,SelectedDatasO);
assert_checkequal(inputHeader,SelectedDatasHeadersI);
assert_checkequal(outputHeader,[7, 8, 2]);

clear;
