//Данные для тестирования
DatasHeaders = ['C1','D1','C2','C3','D2','C4','C5'];//Заголовки данных
Datas = rand(21, 7);//Данные
SelectedDatasHeadersI = ['Q1','P0'];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = ['C1','C3','C4','C5'];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
SelectedDatasO = Datas(:,[1, 4, 6, 7]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checktrue(isempty(inputData));
assert_checkequal(outputData,SelectedDatasO);
assert_checktrue(isempty(inputHeader));
assert_checkequal(outputHeader,SelectedDatasHeadersO);

clear;
