//Данные для тестирования
Datas = rand(21, 7);//Данные
SelectedDatasHeadersI = [3, 2, 5];//Заголовки выделяемых входных данных
SelectedDatasHeadersO = [1, 4, 6, 7];//Заголовки выделяемых выходных данных

//Данные, которые должны быть выбраны функцией
SelectedDatasI = Datas(:,[3, 2, 5]);
SelectedDatasO = Datas(:,[1, 4, 6, 7]);

//Запускаем функцию
[inputData,..//Входные данные
 outputData,..//Выходные данные
 inputHeader,..//Заголовки (или индексы в случае без заголовков) входных данных
 outputHeader..//заголовки (или индексы в случае без заголовков) выходных данных
 ]=InputOutputDataSplit([],..//Заголовок таблицы данных (еще не разделенных)
                        Datas,..//Данные (отдельно от заголовка, не разделенные)
                        SelectedDatasHeadersI,..//Заголовок входных данных
                        SelectedDatasHeadersO..//Заголовок выходных данных
                        );
                  
//Проверяем результаты
assert_checkequal(inputData,SelectedDatasI);
assert_checkequal(outputData,SelectedDatasO);
assert_checkequal(inputHeader,SelectedDatasHeadersI);
assert_checkequal(outputHeader,SelectedDatasHeadersO);

clear;
