//Данные для тестирования
DatasHeaders = ['Ad1','Bw1','Ar2','C3','Yew2','A2','A3','C1','Cc5'];//Заголовки данных
Datas = rand(51, 9);//Данные
SelectedDatasHeaders = ['C3','Yew2','Ad1','A2','Cc5'];//Заголовки выделяемых данных

//Данные, которые должны быть выбраны функцией
SelectedDatas = Datas(:,[4, 5, 1, 6, 9]);

//Запускаем функцию
[selectionDatas,..//Выделенные данные
 selectionDatasHeader..//Заголовок выделенных данных
 ]=SelectionDatas(DatasHeaders,..//Заголовок таблицы данных (еще не разделенных)
                  SelectedDatasHeaders,..//Заголовок выделенных данных
                  Datas..//Данные (отдельно от заголовка, не разделенные)
                  );
                  
//Проверяем результаты
assert_checkequal(selectionDatasHeader,SelectedDatasHeaders);
assert_checkequal(selectionDatas,SelectedDatas);

clear;
